#### NAME

vdelivermail - deliver mail to a virtual user

#### SYNOPSYS

vdelivermail [""] [default account]

#### DESCRIPTION

Called from the virtual domains .qmail-default file to deliver email to a virtual user.

#### OPTIONS

[""]
  Blank double quote for backward compatibility

[default account for delivery]
  If the email does match any .qmail-user file and also does not match any virtual domain user, this is the default delivery instructions. There are three values this may contain.
  - Full path to a vpopmail user directory
  - email address to forward email too
  - the string bounce-no-mailbox to bounce the email back to the sender.
  - the string delete to delete the email.
  Default is the postmaster account

#### RETURN VALUE

0 if all steps were successful. 100 if user is over quota or bounce-no-mailbox is set and no matching user is found.

#### SEE ALSO

`vadduser`
`vadddomain`
`vchkpw`
`vpopmail`

#### NOTES

Invoked by qmail-local and run as vpopmail user.

#### AUTHOR

AUTHORS